Bug 177881 - [update]: lang/luajit fixed symlinks
Summary: [update]: lang/luajit fixed symlinks
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 08:20 UTC by Veniamin
Modified: 2013-07-10 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.34 KB, patch)
2013-04-16 08:20 UTC, Veniamin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-04-16 08:20:00 UTC
It patch fixed problem with symlinks for shared linking.

How-To-Repeat: If I use shared libs I had error for example:
clang -Wall -g -fPIC -shared -o build/plugin.so plugin.c -I. -I/usr/local/include -I/usr/local/include/luajit-2.0 -L/usr/local/lib -lm -lluajit-5.1
/usr/bin/ld: /usr/local/lib/libluajit-5.1.a(lj_api.o): relocation R_X86_64_32S against `lj_obj_typename' can not be used when making a shared object; recompile with -fPIC
/usr/local/lib/libluajit-5.1.a: could not read symbols: Bad value
clang: error: linker command failed with exit code 1 (use -v to see invocation)
*** [all] Error code 1

After symlink:

ln -s /usr/local/lib/libluajit-5.1.so.2.0.1  /usr/local/lib/libluajit-5.1.so
clang -Wall -g -fPIC -shared -o build/plugin.so plugin.c -I. -I/usr/local/include -I/usr/local/include/luajit-2.0 -L/usr/local/lib -lm -lluajit-5.1
Comment 1 Edwin Groothuis freebsd_committer 2013-04-16 08:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-10 18:57:51 UTC
Author: osa
Date: Wed Jul 10 17:57:38 2013
New Revision: 322727
URL: http://svnweb.freebsd.org/changeset/ports/322727

Log:
  Update from 2.0.1 to 2.0.2.
  Install link to shared object.	(*)
  
  PR:	177881	(*)

Modified:
  head/lang/luajit/Makefile
  head/lang/luajit/distinfo
  head/lang/luajit/files/patch-Makefile
  head/lang/luajit/pkg-plist

Modified: head/lang/luajit/Makefile
==============================================================================
--- head/lang/luajit/Makefile	Wed Jul 10 17:57:07 2013	(r322726)
+++ head/lang/luajit/Makefile	Wed Jul 10 17:57:38 2013	(r322727)
@@ -2,15 +2,14 @@
 # $FreeBSD$
 
 PORTNAME=	luajit
-DISTVERSION=	2.0.1
-PORTREVISION=	1
+DISTVERSION=	2.0.2
 CATEGORIES=	lang
 MASTER_SITES=	http://luajit.org/download/
 DISTNAME=	LuaJIT-${DISTVERSION}
 
-PATCH_SITES=	${MASTER_SITES}
-PATCHFILES=	v${PORTVERSION}_hotfix1.patch
-PATCH_DIST_STRIP=	-p1
+#PATCH_SITES=	${MASTER_SITES}
+#PATCHFILES=	v${PORTVERSION}_hotfix1.patch
+#PATCH_DIST_STRIP=	-p1
 
 MAINTAINER=	osa@FreeBSD.org
 COMMENT=	A Just-In-Time Compiler for Lua

Modified: head/lang/luajit/distinfo
==============================================================================
--- head/lang/luajit/distinfo	Wed Jul 10 17:57:07 2013	(r322726)
+++ head/lang/luajit/distinfo	Wed Jul 10 17:57:38 2013	(r322727)
@@ -1,4 +1,2 @@
-SHA256 (LuaJIT-2.0.1.tar.gz) = 2371cceb53453d8a7b36451e6a0ccdb66236924545d6042ddd4c34e9668990c0
-SIZE (LuaJIT-2.0.1.tar.gz) = 841399
-SHA256 (v2.0.1_hotfix1.patch) = 143898de3fe84455684fddb92947d36c1a51c6a6e3884813fe5e025bd4652368
-SIZE (v2.0.1_hotfix1.patch) = 3591
+SHA256 (LuaJIT-2.0.2.tar.gz) = c05202974a5890e777b181908ac237625b499aece026654d7cc33607e3f46c38
+SIZE (LuaJIT-2.0.2.tar.gz) = 843031

Modified: head/lang/luajit/files/patch-Makefile
==============================================================================
--- head/lang/luajit/files/patch-Makefile	Wed Jul 10 17:57:07 2013	(r322726)
+++ head/lang/luajit/files/patch-Makefile	Wed Jul 10 17:57:38 2013	(r322727)
@@ -1,5 +1,5 @@
---- Makefile.orig	2012-11-01 22:39:35.000000000 +0400
-+++ Makefile	2012-11-01 22:42:58.000000000 +0400
+--- Makefile.orig	2013-02-20 00:15:00.000000000 +0400
++++ Makefile	2013-04-16 11:00:30.120967135 +0400
 @@ -24,14 +24,16 @@
  # Change the installation path as needed. This automatically adjusts
  # the paths in src/luaconf.h, too. Note: PREFIX must be an absolute path!
@@ -18,7 +18,7 @@
  
  INSTALL_LJLIBD= $(INSTALL_SHARE)/luajit-$(VERSION)
  INSTALL_JITLIB= $(INSTALL_LJLIBD)/jit
-@@ -39,14 +41,13 @@
+@@ -39,14 +41,14 @@
  INSTALL_LMOD= $(INSTALL_LMODD)/$(ABIVER)
  INSTALL_CMODD= $(INSTALL_LIB)/lua
  INSTALL_CMOD= $(INSTALL_CMODD)/$(ABIVER)
@@ -32,10 +32,16 @@
  INSTALL_SONAME= libluajit-$(ABIVER).so.$(MAJVER).$(MINVER).$(RELVER)
 -INSTALL_SOSHORT= libluajit-$(ABIVER).so
 +INSTALL_SOSHORT= libluajit-$(ABIVER).so.$(MAJVER)
++INSTALL_SOSHORT2= libluajit-$(ABIVER).so
  INSTALL_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).$(MINVER).$(RELVER).dylib
  INSTALL_DYLIBSHORT1= libluajit-$(ABIVER).dylib
  INSTALL_DYLIBSHORT2= libluajit-$(ABIVER).$(MAJVER).dylib
-@@ -60,8 +61,8 @@
+@@ -56,12 +58,13 @@
+ INSTALL_DYN= $(INSTALL_LIB)/$(INSTALL_SONAME)
+ INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
+ INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
++INSTALL_SHORT3= $(INSTALL_LIB)/$(INSTALL_SOSHORT2)
+ INSTALL_T= $(INSTALL_BIN)/$(INSTALL_TNAME)
  INSTALL_TSYM= $(INSTALL_BIN)/$(INSTALL_TSYMNAME)
  INSTALL_PC= $(INSTALL_PKGCONFIG)/$(INSTALL_PCNAME)
  
@@ -46,18 +52,20 @@
  UNINSTALL_DIRS= $(INSTALL_JITLIB) $(INSTALL_LJLIBD) $(INSTALL_INC) \
    $(INSTALL_LMOD) $(INSTALL_LMODD) $(INSTALL_CMOD) $(INSTALL_CMODD)
  
-@@ -110,10 +111,8 @@
+@@ -110,10 +113,9 @@
  	$(RM) $(INSTALL_TSYM) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2)
  	cd src && test -f $(FILE_SO) && \
  	  $(INSTALL_X) $(FILE_SO) $(INSTALL_DYN) && \
 -	  $(LDCONFIG) $(INSTALL_LIB) && \
  	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT1) && \
- 	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) || :
+-	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) || :
 -	cd etc && $(INSTALL_F) $(FILE_MAN) $(INSTALL_MAN)
++	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) && \
++	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT3) || :
  	cd etc && $(SED_PC) $(FILE_PC) > $(FILE_PC).tmp && \
  	  $(INSTALL_F) $(FILE_PC).tmp $(INSTALL_PC) && \
  	  $(RM) $(FILE_PC).tmp
-@@ -131,7 +130,6 @@
+@@ -131,7 +133,6 @@
  	for file in $(FILES_INC); do \
  	  $(UNINSTALL) $(INSTALL_INC)/$$file; \
  	  done

Modified: head/lang/luajit/pkg-plist
==============================================================================
--- head/lang/luajit/pkg-plist	Wed Jul 10 17:57:07 2013	(r322726)
+++ head/lang/luajit/pkg-plist	Wed Jul 10 17:57:38 2013	(r322727)
@@ -7,6 +7,7 @@ include/luajit-2.0/lualib.h
 include/luajit-2.0/lauxlib.h
 include/luajit-2.0/lua.hpp
 lib/libluajit-5.1.a
+lib/libluajit-5.1.so
 lib/libluajit-5.1.so.2
 lib/libluajit-5.1.so.%%VERSION%%
 libdata/pkgconfig/luajit.pc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sergey A. Osokin freebsd_committer 2013-07-10 18:58:18 UTC
State Changed
From-To: open->closed

Committed, thanks!